import { getRequest, postRequest } from "@/utils/request";

// 批量新增设备
export async function deviceHardAddList(data: any) {
  return postRequest(`/xgd/deviceHard/addList`, data);
}

// 查找设备
export async function deviceHardDeviceHardSelect(params: any) {
  return getRequest(`/xgd/deviceHard/deviceHardSelect`, params);
}

// 设备注册OR修改数据
export async function deviceHardEditOrAdd(data: any) {
  return postRequest(`/xgd/deviceHard/editOrAdd`, data);
}

// 查看设备
export async function deviceHardGetById(params: any) {
  return getRequest(`/xgd/deviceHard/getById/${params?.id}`, {});
}

// 分页查看设备
export async function deviceHardPage(params: any) {
  return getRequest(`/xgd/deviceHard/page`, params);
}

// 管理系统注册修改或者删除
export async function managerSystemEditOrAdd(data: any) {
  return postRequest(`/xgd/managerSystem/editOrAdd`, data);
}

// 查看系统
export async function managerSystemConfigId(params: any) {
  return getRequest(`/xgd/managerSystem/getById/${params.id}`, {});
}

// 分页查看系统
export async function managerSystemConfigList(params: any) {
  return getRequest(`/xgd/managerSystem/page`, params);
}

// 照片注册或修改
export async function devicePhotoEditOrAdd(data: any) {
  return postRequest(`/xgd/devicePhoto/editOrAdd`, data);
}

// 分页查看设备照片
export async function devicePhotoList(params: any) {
  return getRequest(`/xgd/devicePhoto/page`, params);
}